from enum import Enum


class MaterialType(Enum):
    """
    Different materials a layer in a building cover can be made of

    Author: Peter Yefi
    Email: peteryefi@gmail.com
    """
    EX_WALL_WOOD = "ExWall:Wood"
    EX_WALL_BRICK = "ExWall:Brick"
    EX_WALL_CONCRETE = "ExWall:Concrete"
    EX_WALL_CONCRETE_BLOCK = "ExWall:ConcreteBlock"
    EX_WALL_VARNISHED_CONCRETE_BLOCK = "ExWall:VarnishedConcreteBlock"
    EX_WALL_STEEL = "ExWall:Steel"
    EX_WALL_ALUMINIUM = "ExWall:Aluminium"
    EX_WALL_FIBRE_CEMENT = "ExWall:FibreCement"
    EX_WALL_GYPSUM_BOARD = "ExWall:GypsumBoard"
    ROOF_STEEL = "Roof:Steel"
    ROOF_VEGETATION = "Roof:Vegetation"
    ROOF_ALUMINIUM = "Roof:Aluminium"
    ROOF_COPPER = "Roof:Copper"
    ROOF_ZINC = "Roof:Zinc"
    ROOF_TIN = "Roof:Tin"
    ROOF_STAINLESS_STEEL = "Roof:StainlessSteel"
    ROOF_STONE_COATED_STEEL = "Roof:StoneCoatedSteel"
    ROOF_METAL_SHINGLES = "Roof:MetalShingles"
    ROOF_CONCRETE_TILE = "Roof:ConcreteTiles"
    ROOF_GREEN = "Roof:Green"
    ROOF_EPDM = "Roof:EPDM"
    WIN_DOOR_WOOD = "WindowDoor:Wood"
    WIN_DOOR_AIR = "WindowDoor:Air"
    WIN_DOOR_VINYL = "WindowDoor:Vinyl"
    WIN_DOOR_FIBREGLASS = "WindowDoor:Fibreglass"
    WIN_DOOR_ALUMINIUM = "WindowDoor:Aluminium"
    WIN_DOOR_WINDOW_GAS = "WindowDoor:WindowGas"
    WIN_DOOR_GLAZING = "WindowDoor:Glazing"
    IN_WALL_FIBRE_GLASS = "InWall:FibreGlass"
    IN_WALL_FIRE_PROOF_GYPSUM_BOARD = "InWallFireProofGypsumBoard"
    IN_WALL_ORDINARY_GYPSUM_BOARD = "InWallOrdinaryGypsumBoard"
    IN_WALL_AIR_GAP = "InWall:AirGap"
    IN_WALL_CELLULOSE = "InWall:Cellulose"
    IN_WALL_SPRAY_FOAM = "InWall:SprayFoam"
    IN_WALL_MINERAL_WOOL = "InWall:MineralWool"
    IN_WALL_SEMI_RIGID_INSULATION = "InWall:SemiRigidInsulation"
    IN_WALL_FIBREGLASS_INSULATION = "InWall:FibreglassInsulation"
    IN_WALL_INSULATION = "InWall:Insulation"
    IN_WALL_METALLIC_STUD = "InWall:MetallicStud"
    FLOOR_CONCRETE = "Floor:Concrete"
    FLOOR_Wood = "Floor:Wood"
    FLOOR_CERAMIC_TILE = "Floor:CeramicTile"
    FLOOR_NATURAL_STONE = "Floor:NaturalStone"
    FLOOR_VINYL = "Floor:Vinyl"
    FLOOR_BAMBOO = "Floor:Bamboo"
    FLOOR_CORK = "Floor:Cork"
    FLOOR_RUBBER = "Floor:Rubber"
    FLOOR_LINOLEUM = "Floor:Linoleum"
